libnvme(2)

NAME
struct nvme_mi_aem_occ_data - AEM Message definition.

SYNOPSIS
struct nvme_mi_aem_occ_data {
__u8 aelhlen;
__u8 aeosil;
__u8 aeovsil;
struct {
__u8 aeoi;
__le32 aeocidi;
__u8 aessi;
} aeoui;
};

Members

aelhlen
    AE Occurrence Header Length

aeosil
    AE Occurrence Specific Info Length

aeovsil
    AE Occurrence Vendor Specific Info Length

aeoui
    AE Occurrence Unique ID made up of other subfields

Description
A single entry of ae occurrence data that comes with an nvme_aem_msg. Following this structure is variable length AEOSI (occurrence specific info) and variable length AEVSI (vendor specific info). The length of AEOSI is specified by aeosil and the length of AEVSI is specified by AEVSI. Neither field is mandatory and shall be omitted if their length parameter is set to zero.